Qyra
ReferenceUntagged

GET/api/v1/projects/{projectUuid}/aiAgents/{agentUuid}/threads/{threadUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
agentUuidstringYes
threadUuidstringYes

Responses

200 — Success

{
  "results": {
    "liveStatus": {
      "source": "deterministic",
      "stateChangedAt": "string",
      "state": "working",
      "threadUuid": "string"
    },
    "user": {
      "name": "string",
      "uuid": "string"
    },
    "firstMessage": {
      "message": "string",
      "uuid": "string"
    },
    "pinnedAt": "string",
    "titleGeneratedAt": "string",
    "title": "string",
    "createdFrom": "slack",
    "createdAt": "string",
    "agentUuid": "string",
    "uuid": "string",
    "compactions": [
      {
        "createdAt": "string",
        "triggeringPromptUuid": "string",
        "compactedThroughPromptUuid": "string",
        "threadUuid": "string",
        "uuid": "string"
      }
    ],
    "messages": [
      {
        "hidden": true,
        "steers": [
          {
            "consumedStep": 0,
            "consumedAt": "string",
            "createdAt": "string",
            "message": "string",
            "promptUuid": "string",
            "uuid": "string"
          }
        ],
        "context": [
          {
            "chartKind": {},
            "runtimeOverrides": {
              "dateZoom": {
                "xAxisFieldId": "string",
                "granularity": "Second"
              },
              "dashboardParameters": {
                "property": "string"
              },
              "dashboardFilters": {
                "tableCalculations": [
                  {
                    "includeNull": true,
                    "values": [
                      {}
                    ],
                    "operator": {},
                    "id": "string",
                    "target": {},
                    "settings": {},
                    "disabled": true,
                    "required": true,
                    "caseSensitive": true,
                    "lockedTabUuids": [
                      "string"
                    ],
                    "requiredGroupId": "string",
                    "singleValue": true,
                    "label": "string",
                    "tileTargets": {
                      "property": {}
                    }
                  }
                ],
                "metrics": [
                  {
                    "includeNull": true,
                    "values": [
                      {}
                    ],
                    "operator": {},
                    "id": "string",
                    "target": {},
                    "settings": {},
                    "disabled": true,
                    "required": true,
                    "caseSensitive": true,
                    "lockedTabUuids": [
                      "string"
                    ],
                    "requiredGroupId": "string",
                    "singleValue": true,
                    "label": "string",
                    "tileTargets": {
                      "property": {}
                    }
                  }
                ],
                "dimensions": [
                  {
                    "includeNull": true,
                    "values": [
                      {}
                    ],
                    "operator": {},
                    "id": "string",
                    "target": {},
                    "settings": {},
                    "disabled": true,
                    "required": true,
                    "caseSensitive": true,
                    "lockedTabUuids": [
                      "string"
                    ],
                    "requiredGroupId": "string",
                    "singleValue": true,
                    "label": "string",
                    "tileTargets": {
                      "property": {}
                    }
                  }
                ]
              }
            },
            "displayName": "string",
            "pinnedVersionUuid": "string",
            "chartSlug": "string",
            "chartUuid": "string",
            "type": "chart"
          }
        ],
        "user": {
          "name": "string",
          "uuid": "string"
        },
        "createdAt": "string",
        "message": "string",
        "threadUuid": "string",
        "uuid": "string",
        "role": "user"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}